Referência da APIGatilhos
Enable or disable a trigger, or change its lookback and wait window
Authorization
apiKey AuthorizationBearer <token>
In: header
Path Parameters
trigger_id*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
enabled?boolean
lookback_days?integer
Takes effect on the next ingestion, which also updates a job of this trigger still in the queue
Range
1 <= value <= 3660debounce_seconds?|
null starts jobs right away again
max_wait_seconds?integer
Start the job at most this long after the first ingestion; default 1800, at least debounce_seconds
Range
1 <= value <= 86400Response Body
application/json
application/problem+json
curl -X PATCH "https://example.com/v1/triggers/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "ruleset_id": "string", "ruleset_version": -9007199254740991, "left_dataset_id": "string", "right_dataset_id": "string", "lookback_days": -9007199254740991, "debounce_seconds": -9007199254740991, "max_wait_seconds": -9007199254740991, "enabled": true, "created_at": "2019-08-24T14:15:22Z"}
